# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.sites
Class ContentQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.sites.ContentQuery

    public class ContentQuery

extends Query

Describes a query for the feed containing the current, editable site content.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`ContentQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getAncestor()` Returns the content with the given ancestor.
`java.lang.Boolean` `getIncludeDeleted()` Returns the include deleted entries.
`java.lang.Boolean` `getIncludeDrafts()` Returns the include draft entries.
`java.lang.String` `getKind()` Returns the content of a the given kind(s).
`java.lang.String` `getParent()` Returns the content with the given parent.
`java.lang.String` `getPath()` Returns the content at the given site path.
`void` `setAncestor(java.lang.String ancestor)` Sets the content with the given ancestor.
`void` `setIncludeDeleted(java.lang.Boolean includeDeleted)` Sets the include deleted entries.
`void` `setIncludeDrafts(java.lang.Boolean includeDrafts)` Sets the include draft entries.
`void` `setKind(java.lang.String kind)` Sets the content of a the given kind(s).
`void` `setParent(java.lang.String parent)` Sets the content with the given parent.
`void` `setPath(java.lang.String path)` Sets the content at the given site path.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentQuery

    public ContentQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getAncestor

    public java.lang.String getAncestor()

  Returns the content with the given ancestor.

  Returns:
    content with the given ancestor or `null` to indicate that the parameter is not set.

### setAncestor

    public void setAncestor(java.lang.String ancestor)

  Sets the content with the given ancestor.

  Parameters:
    `ancestor` - content with the given ancestor or `null` to remove this parameter if set.

### getIncludeDeleted

    public java.lang.Boolean getIncludeDeleted()

  Returns the include deleted entries.

  Returns:
    include deleted entries or `null` to indicate that the parameter is not set.

### setIncludeDeleted

    public void setIncludeDeleted(java.lang.Boolean includeDeleted)

  Sets the include deleted entries.

  Parameters:
    `includeDeleted` - include deleted entries or `null` to remove this parameter if set.

### getIncludeDrafts

    public java.lang.Boolean getIncludeDrafts()

  Returns the include draft entries.

  Returns:
    include draft entries or `null` to indicate that the parameter is not set.

### setIncludeDrafts

    public void setIncludeDrafts(java.lang.Boolean includeDrafts)

  Sets the include draft entries.

  Parameters:
    `includeDrafts` - include draft entries or `null` to remove this parameter if set.

### getKind

    public java.lang.String getKind()

  Returns the content of a the given kind(s).

  Returns:
    content of a the given kind(s) or `null` to indicate that the parameter is not set.

### setKind

    public void setKind(java.lang.String kind)

  Sets the content of a the given kind(s).

  Parameters:
    `kind` - content of a the given kind(s) or `null` to remove this parameter if set.

### getParent

    public java.lang.String getParent()

  Returns the content with the given parent.

  Returns:
    content with the given parent or `null` to indicate that the parameter is not set.

### setParent

    public void setParent(java.lang.String parent)

  Sets the content with the given parent.

  Parameters:
    `parent` - content with the given parent or `null` to remove this parameter if set.

### getPath

    public java.lang.String getPath()

  Returns the content at the given site path.

  Returns:
    content at the given site path or `null` to indicate that the parameter is not set.

### setPath

    public void setPath(java.lang.String path)

  Sets the content at the given site path.

  Parameters:
    `path` - content at the given site path or `null` to remove this parameter if set.